package com.datix.calendar;

/**
 * handles logins for online forms
 * Creation date: (7/5/2001 11:06:56 AM)
 * @author: 
 */

 import java.sql.*;
import com.datix.*;
import java.util.*;
import com.informix.jdbc.*;

public class Login{
	private java.lang.String password = null;
	private java.lang.String employeeId;
	private java.lang.String lname;
	private java.lang.String fname;
	private java.lang.String fullname;
/**
 * Login constructor default not used
 */
public Login() {
	super();
}
/**
 * Login constructor given a newid and password
 */
public Login(String newid, String newpassword) {
	super();

	employeeId = newid.trim();
	password = newpassword.trim();
	
}
/**
 not used
*/
public java.util.Hashtable generateHashTable() {
	return null;
}
/**
 * Returns the employee id
 * Creation date: (7/5/2001 11:42:40 AM)
 * @return java.lang.String
 */
public java.lang.String getEmployeeId() {
	return employeeId;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:33:38 AM)
 * @return java.lang.String
 */
public java.lang.String getFname() {
	return fname;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:34:41 AM)
 * @return java.lang.String
 */
public java.lang.String getFullname() {
	return fullname;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:33:27 AM)
 * @return java.lang.String
 */
public java.lang.String getLname() {
	return lname;
}
/**
 * returns the password
 * Creation date: (7/5/2001 11:40:43 AM)
 * @return java.lang.String
 */
public java.lang.String getPassword() {
	return password;
}
/**
 * Starts the application not used.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	// Insert code to start the application here.
}
/**
 * sets the employee id
 * Creation date: (7/5/2001 11:42:40 AM)
 * @param newEmployeeId java.lang.String
 */
public void setEmployeeId(java.lang.String newEmployeeId) {
	employeeId = newEmployeeId;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:33:38 AM)
 * @param newFname java.lang.String
 */
public void setFname(java.lang.String newFname) {
	fname = newFname;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:34:41 AM)
 * @param newFullname java.lang.String
 */
public void setFullname(java.lang.String newFullname) {
	fullname = newFullname;
}
/**
 * Insert the method's description here.
 * Creation date: (8/16/2001 11:33:27 AM)
 * @param newLname java.lang.String
 */
public void setLname(java.lang.String newLname) {
	lname = newLname;
}
/**
 * sets the password
 * Creation date: (7/5/2001 11:40:43 AM)
 * @param newPassword java.lang.String
 */
public void setPassword(java.lang.String newPassword) {
	password = newPassword;
}
/**
 * checks to verify password with employeeid to allow logon
 * Creation date: (7/5/2001 11:12:27 AM)
 */
public boolean verifyPassword() {
	ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select password, fname, lname from employee where publicid = ?");
			
		// a series of setXXXX, one for each field in the table.
		pStmt.setString(1, employeeId);
		
		ResultSet rs = pStmt.executeQuery();
		conn.getConn().close();

		//if query returned a value then check if not its false
		if(rs.next()){
			
			if(password.equals(rs.getString("password").trim())){
				fname = rs.getString("fname");
				lname = rs.getString("lname");
				fullname = fname + " " + lname;
				return true;	
			}
			else{
				return false;	
			}
		}
			
		
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	return false;

	
}
}
